{ inputs, ... }:
{
  perSystem =
    {
      pkgs,
      lib,
      system,
      self',
      ...
    }:
    let
      general = [
        pkgs.pkg-config
        pkgs.udev
        pkgs.alsaLib
        pkgs.vulkan-loader
        pkgs.wayland
        pkgs.libxkbcommon
        pkgs.openssl
      ];
      tools = [
        pkgs.cocogitto
        pkgs.woodpecker-cli
      ];
    in
    {
      devShells = {
        default = pkgs.mkShell {
          packages = general ++ [ self'.packages.toolchain ] ++ tools;

          LD_LIBRARY_PATH = lib.makeLibraryPath general;
          WOODPECKER_SERVER = "https://ci.codeberg.org";

          shellHook = ''
            echo "Provide the password to set WOODPECKER_TOKEN env variable"
            export WOODPECKER_TOKEN=$(pass private/aviac@woodpecker)

            echo Welcome 
          '';
        };
      };
    };
}
