{ inputs, ... }:
{
  perSystem =
    {
      self',
      pkgs,
      lib,
      system,
      ...
    }:
    let
      nixosToApp = configFile: {
        type = "app";
        program = "${
          (import configFile { inherit inputs lib system; }).config.microvm.declaredRunner
        }/bin/microvm-run";
      };
    in
    {
      packages = {
        integration-tests = pkgs.writeShellScriptBin "it-works" ''
          ${self'.apps.vm.program}
        '';
      };
      apps = {
        vm = nixosToApp ./forgejo-vm.nix;
      };
    };
}
